import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bttdck{
    constructor () {
        this.data = {
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
							},
						},
						bttp:{
							ltdget:{
								sdamod:{
									seainf:"",			//  		.bttp.ltdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ltdget.sdamod.dadsnd
								},
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ledget.sdamod.dadsnd
									seainf:"",			//  		.bttp.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  Doc. Set Reference		.bttp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.recget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp.aammod.addamtflg
							},
							prpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.prpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.prpp.ptsget.sdamod.dadsnd
									},
								},
							},
							docgrdmbe1:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe1.docdsclab
								docgrd:[],			//  		.bttp.docgrdmbe1.docgrd
							},
							docgrdmbe2:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe2.docdsclab
								docgrd:[],			//  		.bttp.docgrdmbe2.docgrd
							},
							futhndflg:"",			//  further handling		.bttp.futhndflg
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.rmtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.rmtp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
							},
						},
						btdgrp:{
							rec:{
								ownref:"",			//  Document Set Number		.btdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.btdgrp.rec.nam
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								predat:"",			//  Presentation Date		.btdgrp.rec.predat
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
								rcvdatbe1:"",			//  Date of Receipt (1st Ben.)		.btdgrp.rec.rcvdatbe1
								orddatbe1:"",			//  Order Date (1st Ben.)		.btdgrp.rec.orddatbe1
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.btdgrp.rec.dscinsflg
								docprbrolbe1:"",			//  Presented by 1st Ben-Side		.btdgrp.rec.docprbrolbe1
								totcur:"",			//  Total Amount Claimed		.btdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.btdgrp.rec.totamt
								totdat:"",			//  Date to be Paid		.btdgrp.rec.totdat
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.btdgrp.cbs.max.cur
									amt:"",			//  Balance		.btdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.btdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.btdgrp.cbs.opn1.amt
								},
								max2:{
									cur:"",			//  Additional Amount		.btdgrp.cbs.max2.cur
									amt:"",			//  附加金额		.btdgrp.cbs.max2.amt
								},
								opnbe1amt:{
									cur:"",			//  Document Amount		.btdgrp.cbs.opnbe1amt.cur
									amt:"",			//  Balance		.btdgrp.cbs.opnbe1amt.amt
								},
								opnbe1amt2:{
									cur:"",			//  Additional Amount		.btdgrp.cbs.opnbe1amt2.cur
									amt:"",			//  Additional Amount		.btdgrp.cbs.opnbe1amt2.amt
								},
								opn2:{
									cur:"",			//  附加金额		.btdgrp.cbs.opn2.cur
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							be2amt:"",			//  Document Amount		.btdgrp.be2amt
							be2amt2:"",			//  Additional Amount		.btdgrp.be2amt2
							prp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prp.namelc
								adrelc:"",			//  地址		.btdgrp.prp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prp.dbfadrblkcn
							},
							blk:{
								intdis:"",			//  Internal Discrepancies		.btdgrp.blk.intdis
								comcon:"",			//  Comments and Conclusions		.btdgrp.blk.comcon
								setinsbt:"",			//  Settlement Instructions transaction field		.btdgrp.blk.setinsbt
								docdis:"",			//  Discrepancies		.btdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.btdgrp.blk.docdisflg
								chaded:"",			//  Charges Deducted		.btdgrp.blk.chaded
								chaadd:"",			//  Charges Added		.btdgrp.blk.chaadd
								nartxt77a:"",			//  Narrative Tag77A of MT754		.btdgrp.blk.nartxt77a
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.acb.namelc
								adrelc:"",			//  地址		.btdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.acb.dbfadrblkcn
							},
							rmt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.rmt.namelc
								adrelc:"",			//  地址		.btdgrp.rmt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.rmt.dbfadrblkcn
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						pageId: ""			// ctx的key
				}
    }
}